SDL_HINT_JOYSTICK_HIDAPI_GIP(3)

NAME
SDL_HINT_JOYSTICK_HIDAPI_GIP - A variable controlling whether the new HIDAPI driver for wired Xbox One (GIP) controllers should be used.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_JOYSTICK_HIDAPI_GIP "SDL_JOYSTICK_HIDAPI_GIP"

DESCRIPTION
The variable can be set to the following values:

• "0": HIDAPI driver is not used.

• "1": HIDAPI driver is used.

The default is the value of SDL_HINT_JOYSTICK_HIDAPI_XBOX_ONE.

This hint should be set before initializing joysticks and gamepads.

AVAILABILITY
This hint is available since SDL 3.4.0.